List settlements - WalletConnect Pay Docs

List settlements

cURL

curl --request GET \
  --url https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements \
  --header 'Api-Key: <api-key>'
import requests

url = "https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements"

headers = {"Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};

fetch('https://api.pay.walletconnect.com/v1/merchants/{merchantId}/settlements', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response

200

Example

{
  "fiat": [
    {
      "id": "fiat_Bk4nWp8XmQj2YrTv6",
      "status": "active",
      "bankType": "ACH"
    }
  ],
  "crypto": [
    {
      "id": "crypto_Xk7nWp8XmQj2YrTv6",
      "asset": "eip155:8453/erc20:0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "destination": "eip155:8453:0x1234567890abcdef1234567890abcdef12345678"
    }
  ]
}

Authorizations

Path Parameters